Bug 98690 - Machine slows down after a few weeks
Machine slows down after a few weeks
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-07 12:07 EDT by hjl
Modified: 2014-01-21 17:48 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hjl 2003-07-07 12:07:40 EDT
I am running 2.4.20-18.9smp kernel on Intel 850 MB with one 3GHz P4/HT,
512MB RAM and 2 80GD IDE HDs, which is used as an NFS server as well as
a heavy build machine for binutils and gcc. I use "make -j 4" on binutils
and gcc builds. After up for more than 30 days, the machine becomes very
sluggish. I have to reboot it to get the performance back.
Comment 1 Benjamin Kosnik 2003-07-07 13:20:46 EDT
HJ when you run the C++ tests for gcc does the machine get very unresponsive?
I'm curious.

-benjamin
Comment 2 hjl 2003-08-14 12:37:28 EDT
I have been running 2.4.20-19.9 for a few weeks. It seems better
than 2.4.20-18.9. But it doesn't solve the problem. When I am
doing "make -j 4" on gcc, the machine becomes very unresponsive.
Top shows

 09:37:05  up 22 days, 17:05,  8 users,  load average: 5.54, 5.33, 4.57
107 processes: 105 sleeping, 1 running, 0 zombie, 1 stopped
CPU0 states:   8.2% user   1.1% system    0.0% nice   0.0% iowait  90.0% idle
CPU1 states:   0.2% user   0.2% system    0.0% nice   0.0% iowait  99.1% idle
Mem:   512960k av,  505340k used,    7620k free,       0k shrd,    1356k buff
                     11712k actv,    7956k in_d,    7800k in_c
Swap: 1044216k av,  120276k used,  923940k free                    5432k cached
                                                                                
  PID USER     PRI  NI  SIZE  RSS SHARE STAT %CPU %MEM   TIME CPU COMMAND
  467 hjl       16   0 25048  10M  1708 D     9.1  2.1   0:01   1 cc1
    7 root      15   0     0    0     0 DW    0.7  0.0  15:26   0 kswapd
    9 root      15   0     0    0     0 SW    0.5  0.0   9:35   1 kscand/Normal
32556 hjl       15   0 27164 1856   732 D     0.1  0.3   0:03   1 cc1
32598 hjl       15   0 28224 2000   928 D     0.1  0.3   0:03   1 cc1
  452 hjl       15   0   584  568   364 R     0.1  0.1   0:00   0 top
    1 root      15   0   424  388   368 S     0.0  0.0   0:15   0 init
    2 root      RT   0     0    0     0 SW    0.0  0.0   0:00   0 migration/0
    3 root      RT   0     0    0     0 SW    0.0  0.0   0:00   1 migration/1
    4 root      15   0     0    0     0 SW    0.0  0.0   2:16   1 keventd
    5 root      34  19     0    0     0 SWN   0.0  0.0   0:00   0 ksoftirqd_CPU
    6 root      34  19     0    0     0 SWN   0.0  0.0   0:00   1 ksoftirqd_CPU
   11 root      23   0     0    0     0 SW    0.0  0.0   0:01   0 bdflush
    8 root      15   0     0    0     0 SW    0.0  0.0   0:03   1 kscand/DMA
   10 root      15   0     0    0     0 SW    0.0  0.0   0:00   0 kscand/HighMe

Comment 3 Seth Vidal 2003-09-18 22:44:48 EDT
Might want to take a look at:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=100680

to see if that is the same problem.

sounds similar

Comment 4 Bugzilla owner 2004-09-30 11:41:15 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.